Package ru.bgcrm.plugin.dispatch.action

# Class DispatchAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.plugin.dispatch.action.DispatchAction

public class DispatchAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `dispatchGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `dispatchList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `dispatchUpdate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `messageGet(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `messageList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `messageUpdate(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchAction

    public DispatchAction()

- ## Method Details

  - ### dispatchList

    public org.apache.struts.action.ActionForward dispatchList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### dispatchGet

    public org.apache.struts.action.ActionForward dispatchGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### dispatchUpdate

    public org.apache.struts.action.ActionForward dispatchUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### messageList

    public org.apache.struts.action.ActionForward messageList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### messageGet

    public org.apache.struts.action.ActionForward messageGet(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### messageUpdate

    public org.apache.struts.action.ActionForward messageUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`